### Hierarchy

- DebounceSettings

## Index

### Properties

- leading
- maxWait
- trailing

## Properties

### Optional leading

leading: undefined | false | true

- Defined in node_modules/@types/lodash/common/function.d.ts:638

Specify invoking on the leading edge of the timeout.

### Optional maxWait

maxWait: undefined | number

- Defined in node_modules/@types/lodash/common/function.d.ts:643

The maximum time func is allowed to be delayed before it’s invoked.

### Optional trailing

trailing: undefined | false | true

- Defined in node_modules/@types/lodash/common/function.d.ts:648

Specify invoking on the trailing edge of the timeout.

Generated using TypeDoc